<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL Aliases</h4>
						<p>
							SQL "alijasi" se koriste za dodeljivanje privremenog imena nekoj koloni tabele ili
							samoj tabeli. Alijasi se koriste da uproste ime kolone i postoje samo za vreme upita.<br/>
							Alijasi mogu da budu korisni kada:
							<ul>
								<li>
									je u upit uključeno više od jedne tabele
								</li>
								<li>
									kada se u upitu koriste funkcije
								</li>
								<li>
									kada su imena kolona dugačka
								</li>
								<li>
									kada se u upitu kombinuju dve ili više kolona zajedno
								</li>
							</ul>
						</p><hr>
						<h4>ALIJAS KOLONA SINTAKSA</h4>	
						
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone</span>
							<span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">alijas_ime</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele;</span>
						</div><br/>
						
						<h4>ALIJAS TABELA SINTAKSA</h4>	
						
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele</span>
							<span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">alijas_ime;</span>
						</div><br/>
						
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
						?>	
						<br/><br/><hr><br/>
						<h4>IZGLED TABELE "Ispiti" U BAZI PODATAKA</h4>
						<div id="baza_primer2">
						</div>
						<?php
							include("tabela_ispiti.php");
						?>	
					</div>
					
					<div id="primer" class="box_patern">
						<h4>ALIJAS PRIMERI</h4>
						<h5>ALIJAS ZA KOLONE</h5>
						<p>
							Naredba u sledećem primeru kreira dva alijasa, jedan za kolonu "ImeIspita"
							i jedan za kolonu "BrojESPB".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ImeIspita</span>
							<span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">Ispit, BrojESPB</span>
							<span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">ESPB</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Ispiti;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT ImeIspita AS Ispit, BrojESPB AS ESPB FROM Ispiti' );  </script> "; 
						?><br/><br/>
						<div class="napomena">
							U slučaju da alijas naziv sadrži razmak(' '), onda mora biti u uglastim zagradama ili
							pod navodnicima.(npr. [Ime Ispita])
						</div><br/><hr>
						
						<p>
							Naredba u sledećem primeru kreira alijas "informacije", koji kombinuje 3 kolone.(Indeks, GodUpisa, Fakultet)
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">Ime, Prezime, CONCAT(Indeks,'/',GodUpisa,',',Fakultet)</span><br/>
							<span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">Informacije</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example2">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example2','SELECT Ime,Prezime, CONCAT(Indeks,\'/\',GodUpisa,\', \',Fakultet) AS Informacije FROM studenti' );  </script> "; 
						?><br/><br/>
						
						<h5>ALIJAS ZA TABELE</h5>
						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti kojima je kolona fakultet "ETF".
							Korišćeni su alijasi za imena tabela "Studenti" i "Ispiti", "s" i "i", respektivno.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">s.Ime, s.Prezime, i.ImeIspita, i.Poeni</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span>
							<span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">s, Ispiti</span>
							<span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">i</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">s.Fakultet='ETF'</span>
							<span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">s.IdStudent=i.IdStudent;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example3">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example3','SELECT s.Ime, s.Prezime, i.ImeIspita, i.Poeni FROM Studenti AS s, Ispiti AS i WHERE s.Fakultet=\'ETF\' AND s.IdStudent=i.IdStudent' );  </script> "; 
						?><br/><br/>
						
					</div>
					
					

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=14'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="between.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="joins.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

