<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL ANY I ALL OPERATORI</h4>
						<p>
							ANY i ALL operatori se koriste sa WHERE i HAVING klauzulama.<br/>
							Operator ANY vraća TRUE ukoliko bilo koja od vrednosti podupita ispunjava definisan uslov u tom podupitu.<br/>
							Operator ALL vraća TRUE ukoliko sve vrednosti podupita ispunjavaju definisan uslov u tom podupitu.
						</p><hr>
						<h4>SINTAKSA UPITA</h4>
						<h5>ANY SINTAKSA</h5>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">ime kolone operator</span> 
							<span class="plava_slova_upit">ANY</span>(<span class="plava_slova_upit">SELECT</span>
							<span class="italic_slova_upit">ime_kolone</span> <span class="plava_slova_upit">FROM</span>
							<span class="italic_slova_upit">ime tabele</span> <span class="plava_slova_upit">WHERE</span>
							<span class="italic_slova_upit">uslov</span>);
						</div>
						<h5>ALL SINTAKSA</h5>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">ime kolone operator</span> 
							<span class="plava_slova_upit">ALL</span>(<span class="plava_slova_upit">SELECT</span>
							<span class="italic_slova_upit">ime_kolone</span> <span class="plava_slova_upit">FROM</span>
							<span class="italic_slova_upit">ime tabele</span> <span class="plava_slova_upit">WHERE</span>
							<span class="italic_slova_upit">uslov</span>);
						</div><br/>
						<div class='napomena'>
							Napomena: Operator mora biti jedan od standardnih operatora za upoređivanje(=, <>, !=, >, >=, <, <=). 
						</div><br/>
					</div>
					
					<div class="box_patern">
						<p>Za ovaj primer koriste se 2 tabele, "Studenti" i "Ispiti":</p>
						<h4>Tabela "Studenti":</h4>
						<?php
							include("tabela.php");
						?><br/><hr>	
						<h4>Tabela "Ispiti":</h4>
						<?php
							include("tabela_ispiti.php");
						?><br/>
						
					</div>
					<div class="box_patern">
						<h4>SQL ANY PRIMER</h4>
						<p>
							Sledeća SQL naredba vraća TRUE i izlistava sve studente(Ime i Prezime), ako bilo koji od zapisa iz tabele
							"Ispiti" ima ocenu veću od 9.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">Ime, Prezime</span><br/> 
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">IdStudent =</span>
							<span class="plava_slova_upit">ANY</span> (<span class="plava_slova_upit">SELECT</span>
							<span class="italic_slova_upit">IdStudent</span> <span class="plava_slova_upit">FROM</span>
							<span class="italic_slova_upit">Ispiti</span> <span class="plava_slova_upit">WHERE</span>
							<span class="italic_slova_upit">Ocena > 8</span>);
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT Ime, Prezime FROM Studenti WHERE IdStudent = ANY (SELECT IdStudent FROM Ispiti WHERE Ocena > 8)' );  </script> "; 
						?><br/><br/>
						<h4>SQL ALL PRIMER</h4>
						<p>
							Sledeća SQL naredba vraća TRUE i izlistava sve studente(Ime i Prezime), ako svi zapisi iz tabele
							"Ispiti" imaju ocenu veću od 9.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">Ime, Prezime</span><br/> 
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">IdStudent =</span>
							<span class="plava_slova_upit">ALL</span> (<span class="plava_slova_upit">SELECT</span>
							<span class="italic_slova_upit">IdStudent</span> <span class="plava_slova_upit">FROM</span>
							<span class="italic_slova_upit">Ispiti</span> <span class="plava_slova_upit">WHERE</span>
							<span class="italic_slova_upit">Ocena > 8</span>);
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example2">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example2','SELECT Ime, Prezime FROM Studenti WHERE IdStudent = ALL (SELECT IdStudent FROM Ispiti WHERE Ocena > 8)' );  </script> "; 
						?>
						<div class='napomena'>
							Napomena: Pošto svi studenti iz tabele "Studenti" čiji se id-evi nalaze u tabeli "Ispiti" ne ispunjavaju
							definisan uslov u podupitu, rezultat ovog upita je prazan skup.
						</div><br/>
					</div>
					
					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=24'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					
					<div class="napred/nazad">
					<a href="exists.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="select_into.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

