<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL CHECK CONSTRAINT</h4>
						<p>
							Ograničenje CHECK se koristi da ograniči opseg vrednosti koji se mogu smestiti u neku kolonu.<br/>
							Ako se definiše ograničenje CHECK na jednoj koloni, to omogućava unos samo određenih vrednosti u tu kolonu.
						</p>
					</div>
					<div class="box_patern">
						<h4>SQL CHECK SA NAREDBOM CREATE TABLE</h4>
						<p>
							Sledeća SQL naredba kreira ograničenje CHECK na koloni "Prosek", prilikom kreiranja tabele "Studenti".<br/>
							Ograničenje CHECK osigurava da ne može postojati prosek manji od 6.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">Studenti (</span><br/>
							<span class="italic_slova_upit">ID int</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">Firstname varchar(255)</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">GodinaUpisa varchar(255)</span>,<br/>
							<span class="italic_slova_upit">Prosek float</span>,<br/>
							<span class="plava_slova_upit">CHECK</span> <span class="italic_slova_upit">(Prosek>=6)</span><br/>
							<span class="italic_slova_upit">);</span>
						</div><br/><hr>
						<p>
							Za imenovanje ograničenja CHECK ili slučaja da se ovo ograničenje definiše na više kolona koristi se sledeća naredba:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">Studenti (</span><br/>
							<span class="italic_slova_upit">ID int</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">Firstname varchar(255)</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">GodinaUpisa varchar(255)</span>,<br/>
							<span class="plava_slova_upit">CONSTRAINT</span> <span class="italic_slova_upit">CHK_Student</span> <span class="plava_slova_upit">CHECK</span> 
							<span class="italic_slova_upit">(Prosek>=6</span> <span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">GodinaUpisa>=2010)</span><br/>
							<span class="italic_slova_upit">);</span><br/>
						</div>
						
					</div>
					<div class="box_patern">
						<h4>SQL CHECK SA NAREDBOM ALTER TABLE</h4>
						<p>	
							Za kreiranje ograničenja CHECK na koloni "Prosek" kada je tabela već kreirana koristi se sledeća naredba:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">ADD CHECK</span> <span class="italic_slova_upit">(Prosek>6);</span><br/>
						</div><br/><hr>
						<p>
							Za imenovanje ograničenja CHECK ili slučaja da se ovo ograničenje definiše na više kolona koristi se sledeća naredba:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">ADD CONSTRAINT</span> <span class="italic_slova_upit">CHK_Prosek</span> 
							<span class="plava_slova_upit">CHECK</span> <span class="italic_slova_upit">(Prosek>=6</span> <span class="plava_slova_upit">AND</span> 
							<span class="italic_slova_upit">GodinaUpisa>=2010)</span>;<br/>
						</div>
						
					</div>
					<div class="box_patern">
							<h4>DROP CHECK CONSTRAINT</h4>
							<p>	
								Sledećom naredbom briše se CHECK ograničenje:
							</p>
							<div class="kod">
								<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti</span><br/>
								<span class="plava_slova_upit">DROP CONSTRAINT</span> <span class="italic_slova_upit">CHK_Prosek;</span> 
							</div>
						</div>
					
					<div class="napred/nazad">
					<a href="foreign_key.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="default.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

