<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>MySQL Data Types</h4>
						<p>
							Tip podataka definiše koju vrstu vrednosti može sadržati neka kolona. Svaka kolona
							u bazi podaka mora imati ime i definisan tip podataka.<br/>
						</p>	
						<div class="napomena">
							Napomena: Tipovi podataka mogu imati različita imena u bazama podataka. Takođe ukoliko je naziv
							isti mogu se razlikovati druge stvari, zato uvek treba proveriti dokumentaciju.<br/>
							U MySQL-u postoje tri glavna tipa podataka: tekst, brojevi i datum.
						</div><br/>
					</div>
					<div class="box_patern">
						<h4>TEKSTUALNI TIP PODATAKA</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Tip podaka</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>CHAR(size)</td>
									<td>Čuva u bazi string fiksne dužine. Može sadržati definisan broj(maksimalno 255) slova, brojeva ili posebnih znakova.</td>
								</tr>
								<tr>
									<td>VARCHAR(size)</td>
									<td>
										Čuva u bazi string promenljive dužine. Može sadržati definisan broj(maksimalno 255) slova, brojeva ili posebnih znakova.
										Ako vrednost pređe 255, automatski će biti izvšena konverzija u "TEXT" tip.
									</td>
								</tr>
								<tr>
									<td>TINYTEXT</td>
									<td>Čuva u bazi string maksimalne dužine 255 karaktera.</td>
								</tr>
								<tr>
									<td>TEXT</td>
									<td>Čuva u bazi string maksimalne dužine 65,535 karaktera.</td>
								</tr>
								<tr>
									<td>BLOB</td>
									<td>Čuva u bazi do 65,535 bajtova podataka.(Binary Large Objects)</td>
								</tr>
								<tr>
									<td>MEDIUMTEXT</td>
									<td>Čuva u bazi string maksimalne dužine 16,777,215 karaktera.</td>
								</tr>
								<tr>
									<td>MEDIUMBLOB</td>
									<td>Čuva u bazi do 16,777,215 bajtova podataka.(Binary Large Objects)</td>
								</tr>
								<tr>
									<td>LONGTEXT</td>
									<td>Čuva u bazi string maksimalne dužine 4,294,967,295 karaktera.</td>
								</tr>
								<tr>
									<td>LONGBLOB</td>
									<td>Čuva u bazi do 4,294,967,295 bajtova podataka.(Binary Large Objects)</td>
								</tr>
								<tr>
									<td>ENUM(x,y,z, ...)</td>
									<td>
										Dozvoljava unos liste mogućih vrednosti, na ENUM listi može biti do 65,535 vrednosti.
										Ako se unese vrednost koja nije na listi, biće ubačena prazna vrednost.
									</td>
								</tr>
								<tr>
									<td>SET</td>
									<td>Slično ENUM-u samo što SET može sadržati do 64 liste i više od jednog izbora za unos.</td>
								</tr>
							</tbody>
						</table>	
					</div>
					<div class="box_patern">
						<h4>NUMERIČKI TIP PODATAKA</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Operator</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>TINYINT(size)</td>
									<td>-128 do 127 ili UNSIGNED* od 0 do 255, size predstavlja maksimalni broj cifara</td>
								</tr>
								<tr>
									<td>SMALLINT(size)</td>
									<td>-32768 do 32767 ili UNSIGNED* od 0 do 65535, size predstavlja maksimalni broj cifara</td>
								</tr>
								<tr>
									<td>MEDIUMINT(size)</td>
									<td>-8388608 do 8388607 ili UNSIGNED* od 0 do 16777215, size predstavlja maksimalni broj cifara</td>
								</tr>
								<tr>
									<td>INT(size)</td>
									<td>-2147483648 do 2147483647 ili UNSIGNED* od 0 do 4294967295, size predstavlja maksimalni broj cifara</td>
								</tr>
								<tr>
									<td>BIGINT(size)</td>
									<td>-9223372036854775808 do 9223372036854775807 ili UNSIGNED* od 0 do 18446744073709551615, size predstavlja maksimalni broj cifara</td>
								</tr>
								<tr>
									<td>FLOAT(size,d)</td>
									<td>Mali decimalni brojevi. Size predstavlja maksimalni broj cifara broja, a d broj decimala.</td>
								</tr>
								<tr>
									<td>DOUBLE(size,d)</td>
									<td>Veliki decimalni brojevi. Size predstavlja maksimalni broj cifara broja, a d broj decimala.</td>
								</tr>
								<tr>
									<td>DECIMAL(size,d)</td>
									<td>DOUBLE koji se čuva kao string sa FIKSNIM brojem decimala.</td>
								</tr>
							</tbody>
						</table><br/>
						<div class='napomena'>
							*Kod tipa INTEGER postoji dodatna opcija UNSIGNED. Integer brojevi imaju raspon od negativnog do pozitivnog broja,
							 ali dodavanjem UNSIGNED opseg počinje od 0, umesto od negativnog broja.
						</div>
					</div>
					<div class="box_patern">
						<h4>TIP PODATAKA ZA DATUM</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Operator</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>DATE()</td>
									<td>Datum u formatu: YYYY-MM-DD</td>
								</tr>
								<tr>
									<td>DATETIME()</td>
									<td>Kombinacija vremena i datuma u formatu: YYYY-MM-DD HH:MI:SS</td>
								</tr>
								<tr>
									<td>TIMESTAMP()</td>
									<td>Kombinacija vremena i datuma u formatu: YYYY-MM-DD HH:MI:SS, računa se od epohe Unixa, opseg počinje od '1970-01-01 00:00:01'</td>
								</tr>
								<tr>
									<td>TIME()</td>
									<td>Vreme u formatu: HH:MI:SS</td>
								</tr>
								<tr>
									<td>YEAR()</td>
									<td>Godina u formatu sa 2 ili 4 cifre: 70 do 69 predstavlja 1970 do 2069</td>
								</tr>
							</tbody>
						</table><br/>
					</div>
					
					<div class="napred/nazad">
					<a href="operators.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="quiz.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

