<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL FULL OUTER JOIN</h4>
						<p>
							Ključna reč FULL OUTER JOIN selektuje sve zapise iz leve tabele(tabela1) i zapise iz desne tabele(tabela2) bilo da
							postoji ili ne postoji poklapanje. Tamo gde ne postoji poklapanje biće NULL vrednost.<br/>
							Napomena: FULL OUTER JOIN potencijalno može vratiti veoma velike skupove rezulata.
						</p><hr>
						<h4>SQL FULL OUTER JOIN SINTAKSA</h4>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">tabela1</span><br/>
							<span class="plava_slova_upit">FULL OUTER JOIN</span> <span class="italic_slova_upit">tabela2</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">tabela1.ime_kolone=tabela2.ime_kolone;</span>
						</div><br/><br/>
						
						<center><img id="full_join" src="../images/full_join.png"></center><br/><br/>
						<div class='napomena'>
							Napomena: Gore navedena sintaksa važi za baze podataka koje podržavaju FULL JOIN, 
							međutim MySQL ne podržava FULL JOIN, ali se može izvršiti simulacija na sledeći način:
						</div><br/><br/>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">ime_kolone(a)</span>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">tabela1</span><br/>
							<span class="plava_slova_upit">LEFT JOIN</span> <span class="italic_slova_upit">tabela2</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">tabela1.ime_kolone=tabela2.ime_kolone;</span><br/>
							<span class="plava_slova_upit">UNION</span><br/>
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">ime_kolone(a)</span>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">tabela1</span><br/>
							<span class="plava_slova_upit">RIGHT JOIN</span> <span class="italic_slova_upit">tabela2</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">tabela1.ime_kolone=tabela2.ime_kolone;</span>
						</div><br/><br/>
						<div class='napomena'>
							Napomena: Naredbom LEFT JOIN obezbeđeni su svi zapisi iz tabele1 kao i odgovarajući zapisi
							iz tabele2(tamo gde je tabela1.ime_kolone(a)=tabela2.ime_kolone(a)).<br/>
							Slično, naredbom RIGHT JOIN obezbeđeni su svi zapisi iz tabele2, kao i odgovarajući zapisi
							iz tabele1.<br/>
							Na kraju, naredbom UNION zapisi iz LEFT JOIN upita i RIGHT JOIN upita su objedinjeni.(naredba UNION
							spaja rezultate bez duplikata)
						</div>
						
					</div>
					
					<div class="box_patern">
						<p>U primerima za JOIN upite koriste se 2 tabele, "Studenti" i "Ispiti":</p>
						<h4>Tabela "Studenti":</h4>
						<?php
							include("tabela.php");
						?><br/><hr>	
						<h4>Tabela "Ispiti":</h4>
						<?php
							include("tabela_ispiti.php");
						?><br/>
						
					</div>
					<div class="box_patern">
						<h4>SQL FULL OUTER JOIN PRIMER</h4>
						<p>
							U sledećem primeru biće selektovane informacije o svim ispitima iz tabele "Ispiti" i 
							svim studentima iz tabele "Studenti".<br/>
							Dakle, biće selektovane informacije o svim studentima iz tabele "Studenti", bez obzira da li je neki student
							polagao ispit iz tabele "Ispiti", kao i svi ispiti iz tabele "Ispiti" iako u tabeli "Ispiti" može postojati 
							student koji se ne nalazi u tabeli "Studenti".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">
								Studenti.Ime, Studenti.Prezime, Studenti.Indeks, Studenti.GodUpisa, 
								Ispiti.ImeIspita, Ispiti.Ocena 
							</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">LEFT JOIN</span> <span class="italic_slova_upit">Ispiti</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">Ispiti.IdStudent=Studenti.IdStudent</span><br/>
							<span class="plava_slova_upit">UNION</span><br/>
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">
								Studenti.Ime, Studenti.Prezime, Studenti.Indeks, Studenti.GodUpisa, 
								Ispiti.ImeIspita, Ispiti.Ocena 
							</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">RIGHT JOIN</span> <span class="italic_slova_upit">Ispiti</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">Ispiti.IdStudent=Studenti.IdStudent;</span><br/>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT Studenti.Ime, Studenti.Prezime, Studenti.Indeks, Studenti.GodUpisa, Ispiti.ImeIspita, Ispiti.Ocena FROM Studenti LEFT JOIN Ispiti ON Ispiti.IdStudent=Studenti.IdStudent UNION SELECT Studenti.Ime, Studenti.Prezime, Studenti.Indeks, Studenti.GodUpisa, Ispiti.ImeIspita, Ispiti.Ocena FROM Studenti RIGHT JOIN Ispiti ON Ispiti.IdStudent=Studenti.IdStudent' );  </script> "; 
						?><br/><br/>

						<div class="napomena">
							Napomena: FULL OUTER JOIN ključna reč vraća sve zapise iz leve tabele("Studenti") i sve zapise iz desne
							tabele "Ispiti". Biće vraćeni svi zapisi iako nema podudaranja u tabeli "Studenti" sa tabelom "Ispiti" i obrnuto.<br/><br/>
							U ovom slučaju, prazna polja postoje samo za kolone iz tabele "Ispiti" jer svi studenti(IdStudent) u tabeli "Ispiti" postoje
							i u tabeli "Studenti". Na stranici "Sastavite upit samostalno -->" možete testirati ovaj upit tako što ćete u tabelu "Ispiti"
							"insert"-ovati ispit koji nije položio ni jedan student iz tabele "Ispiti". Tada će polja sa informacijama za studenta  za dati
							ispit biti prazna.
						</div>
					</div>
					
					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=18'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					
					<div class="napred/nazad">
					<a href="right_join.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="self_join.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

