<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL INJECTION</h4>
						<p>
							SQL injection je tehnika ubacivanja zlonamernih kodova koji mogu uništiti bazu podataka. To je jedna
							od najčešćih tehnika za "hakovanje" web-a.<br/>
							SQL injection je ubacivanje malicionzih kodova u SQL izraze kroz korisnička polja za unos podataka na web stranici.
						</p>	
					</div>
					<div id="upit_info" class="box_patern">
						<h4>PRIMERI SQL INJECTION-A</h4>
						<p>
							SQL INJECTION-i  se obično izvršavaju kada se od korisnika na web strani traži neki unos, kao 
							što je korisničko ime ili email. Međutim, umesto ovih podataka, zlonamerni korisnik može proslediti
							SQL izraz koji će se pokrenuti u bazi podataka. Postoje 3 tipa injection-a:
						</p><hr>
						<h4>TIP 1: &nbsp TVRDNJA 1=1 JE UVEK TAČNA</h4>
						<p>
							U ovom primeru postoji polje u koje se unosi userId korisnika na osnovu koga se dobijaju
							ostali podaci o tom korisniku.
						</p>
						<fieldset>
						<label>UserId:</label>
						<input type='text' value='111 OR 1=1' disabled/><br/><br/>
						<button disabled>Traži</button>
						</fieldset>
						<p>
							Međutim, zlonamerni korisnik može pored userId-a u datom polju napisati naredbu kao na slici, i tako
							izvršiti SQL injection.<br/>
							Tada SQL upit izgleda ovako:<br/>
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span> 
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">UserId=111</span>
							<span class="plava_slova_upit">OR</span> <span class="italic_slova_upit">1=1;</span><br/>
						</div>
						<p>
							Pošto je 1 uvek jednako 1, ovaj upit biće izvršen bez obzira na Id koji korisnik unese.
							Na ovaj način zlonamerni korisnik može doći do svih zapisa iz tabele "Studenti".
						</p><hr>
						<h4>TIP 2: &nbsp TVRDNJA ""="" JE UVEK TAČNA</h4>
						<p>
							U ovom primeru postoji polje u kome korisnik unosi svoj email i password kako bi se "ulogovao" na neku web aplikaciju.
							Namena ovih polja jeste da se iz njih pročitaju korisnički podaci kako bi se u bazi podataka proverilo da 
							li je dati korisnik registrovan. Takođe, na osnovu username-a, iz baze podataka se mogu preuzeti svi podaci o tom korisniku.
						</p>
						<fieldset>
						<label>Username:</label>
						<input type='text' value='Marko' disabled/><br/><br/>
						<label>Password:</label>&nbsp	
						<input type='text' value='123' disabled/><br/><br/>
						<button disabled>Uloguj se</button>
						</fieldset>
						<p>
							Kada korisnik unese svoje podatke i pokuša da se uloguje, upit izgleda ovako:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span> 
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Username='Marko'</span>
							<span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">Password='123'</span><br/>
						</div>
						<p>
							Međutim, zlonamerni korisnik umesto svojih podataka može uneti tekst kao na slici:
						</p>
						<fieldset>
						<label>Username:</label>
						<input type='text' value='" OR""="' disabled/><br/><br/>
						<label>Password:</label>&nbsp	
						<input type='text' value='" OR""="' disabled/><br/><br/>
						<button disabled>Uloguj se</button>
						</fieldset>
						<p>
							Tada upit izgleda ovako:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span> 
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Username =""</span>
							<span class="plava_slova_upit">OR</span> <span class="italic_slova_upit">""=""</span>
							<span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">Password =""</span>
							<span class="plava_slova_upit">OR</span> <span class="italic_slova_upit">""=""</span><br/>
						</div>
						<p>
							Pošto će uslov u upitu uvek biti tačan(OR ""=""), kao i u prvom slučaju zlonamerni korisnik
							može doći do svih zapisa iz tabele "Studenti".
						</p><hr>
						<h4>TIP 3: &nbsp NAVOĐENJE SERIJE SQL NAREDBI</h4>
						<p>
							Ovo je primer kao i tip1. Korisnički interfejs gde se unosi Id korisnika, na osnovu koga se dobijaju podaci.
							Napad u ovom slučaju se izvršava tako što se pored podataka za logovanje unosi i upit.
						</p>
						<fieldset>
						<label>UserId:</label>
						<input type='text' value='111; DROP TABLE Studenti' disabled/><br/><br/>
						<button disabled>Traži</button>
						</fieldset>
						<p>
							Mnoge baze podataka podržavaju izvršavanje serije upita, pa serija upita izgleda ovako:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span> 
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">UserId =111;</span>
							<span class="plava_slova_upit">DROP TABLE</span> <span class="italic_slova_upit">Studenti;</span><br/>
						</div>
						<p>
							U slučaju ovakvog napada, korisnik je izbrisao tabelu iz baze podataka.
						</p>
						
						
					</div>
					<div class="box_patern">
						<h4>ZAŠTITA OD SQL INJECTION-A</h4>
						<p>
							Kao zaštita od SQL injection-a, koriste se SQL parametri.</br>
							SQL parametri su vrednosti koje se dodaju u SQL upit u vreme izvršenja upita. To znači
							da se upit ne izvršava u celini trenutno, već da se u vreme izvršavanja upita unose potrebne
							promenljive u upit. Na ovaj način se vrši zaštita od SQL injection-a zlonamernih korisnika.
							To se kod PHP-a postiže "bind-ovanjem" parametara, kao u sledećem primeru:
						</p>
						<div class="kod">
							<span class="italic_slova_upit">
								$query = "SELECT * FROM user WHERE emailUser=?";<br/>
								$stmt = $conn->prepare($query);<br/>
								$stmt->bind_param('s', $email);<br/>
								$stmt->execute();<br/>
							</span> 
						</div>
						<p>
								U ovom primeru može se videti na koji način je sprečen SQL injection. Kada korisnik unese
								svoj email, taj email se ne smešta direktno u upit, već se smešta u promenljivu "email" 
								koja se kasnije pri izvršavanju upita bind-uje sa parametrom. Dakle, 
								ukoliko korisnik pored svog email-a unese neki drugi kod, prilikom provere sa kolonom "email"
								u bazi neće doći do poklapanja i na aplikaciji će "iskočiti" obaveštenje da je email pogrešan.
						</p>
						
					</div>
					
					<div class="napred/nazad">
					<a href="views.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="functions.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

