<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL LIKE OPERATOR</h4>
						<p>
							LIKE operator se koristi u WHERE klauzuli za pretraživanje kolone na osnovu nekog obrasca.<br/>
						</p><hr>
						<h4>SINTAKSA UPITA</h4>	
						
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">kolona1, kolona2, ...</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">ime_kolone</span>
							<span class="plava_slova_upit">LIKE</span> <span class="italic_slova_upit">obrazac;</span>
						</div><br/>
						
						
						
					</div>
					
					<div class="box_patern">
						<h4>SQL WILDCARD KARAKTERI</h4>
						<p>
							U kombinaciji sa LIKE operatorom koriste se SQL WILDCARD karakteri.<br/>
							WILDCARD karakter se koristi da zameni bilo koji drugi karakter u nekom string-u.
							WILDCARD karakteri se koriste sa SQL LIKE operatorom koji sa WHERE klauzulom pretražuje
							kolonu na osnovu datog obrasca.<br/>
							Postoje dva WILDCARD karaktera koji se koriste u kombinaciji sa LIKE operatorom:
							<ul>
								<li>% &nbsp- znak procenta predstavlja nula, jedan ili više karaktera</li>
								<li>_ &nbsp- znak donja crta predstavlja jedan karakter</li>
								<li>ova dva znaka se takođe mogu koristiti zajedno u kombinaciji</li>
								<li>
									Takođe, mogu se koristiti [] za definisanje skupa ili opsega vrednosti karaktera.<br/>
									Npr. ukoliko navedete [abc]% vršiće se pretraga po onim vrednostima koje počinju sa a, b ili c.<br/>
									Ili ukoliko navedete [b-d] vršiće se pretraga po onim vrednostima koje počinju sa karakterima iz
									definisanog opsega, dakle sa b, c ili d.
								</li>
							</ul>
						</p><hr/>	
						<div>
							<h4>Primer nekih od primena LIKE operatora sa "%" i "_"</h4>
							<table class="paleBlueRows">
							<thead>
								<tr>
									<th>LIKE Operator</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>WHERE Ime LIKE 'a%'</td>
									<td>Pronalazi sve vrednosti koje počinju sa "a"</td>
								</tr>
								<tr>
									<td>WHERE Ime LIKE '%a'</td>
									<td>Pronalazi sve vrednosti koje se završavaju sa "a"</td>
								</tr>
								<tr>
									<td>WHERE Ime LIKE '%ij%'</td>
									<td>Pronalazi sve vrednosti koje sadrže "ij" u sebi na bilo kojoj poziciji</td>
								</tr>
								<tr>
									<td>WHERE Ime LIKE '%_a%'</td>
									<td>Pronalazi sve vrednosti koje sadrže "a" na drugoj poziciji</td>
								</tr>
								<tr>
									<td>WHERE Ime LIKE 'a%o'</td>
									<td>Pronalazi sve vrednosti koje počinju sa "a" i završavaju se sa "o"</td>
								</tr>
								<tr>
									<td>WHERE Ime LIKE '_etar'</td>
									<td>Pronalazi sve vrednosti koje počinju sa bilo kojim karakterom, a zatim sledi "etar"</td>
								</tr>
								<tr>
									<td>WHERE Ime LIKE '[mpb]%'</td>
									<td>Pronalazi sve vrednosti koje počinju sa "m", "p" ili "m"</td>
								</tr>
								<tr>
									<td>WHERE Ime LIKE '[a-d]%'</td>
									<td>Pronalazi sve vrednosti koje počinju sa "a", "b", "c" ili "d"</td>
								</tr>
								<tr>
									<td>WHERE Ime LIKE '[!mpb]%'</td>
									<td>Pronalazi sve vrednosti koje NE počinju sa "m", "p" ili "m"</td>
								</tr>
								
							<tbody/>
							</table>
						</div><br/>
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
						?>	
					</div>
					
					<div id="primer" class="box_patern">
					
						<h4>SQL LIKE PRIMERI</h4>
						
						<h5>PRIMER1</h5>
						<p>
							Naredbom u sledećem primeru odabrani su svi studenti iz tabele "Studenti" čije ime počinje sa slovom "m".	
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Ime</span>
							<span class="plava_slova_upit">LIKE</span> <span class="italic_slova_upit">'m%';</span>
						</div><br/>
							
						
						<p>Rezultat izvršenog upita je:</p>
						
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT * FROM studenti WHERE Ime LIKE \'m%\' ' );  </script> "; 
						?>
						
						<br/><hr><br/>
						
						<h5>PRIMER2</h5>
						<p>
							Ispred LIKE operatora može stajati "NOT" operator, pa naredba u ovom primeru predstavlja negaciju
							naredbe iz primera 1 tj. biće odabrani svi studenti čije ime ne počinje sa slovom "m".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">ime</span>
							<span class="plava_slova_upit">NOT LIKE</span> <span class="italic_slova_upit">'m%';</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example2">
						
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example2','SELECT * FROM studenti WHERE Ime NOT LIKE \'m%\' ' );  </script> "; 
						?>
						
					
						
					</div>
					
					

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=12'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="count_avg_sum.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="in.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

