<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL PRIMARY_KEY CONSTRAINT</h4>
						<p>
							PRIMARY KEY ograničenje jedinstveno identifikuje svaki zapis u tabeli baze podataka.<br/>
							Primarni ključevi moraju sadržati UNIQUE vrednosti i ne mogu sadržati NULL vrednosti.<br/>
							Tabela može imati samo jedan primarni ključ koji se može sastojati iz jednog ili više polja.
						</p>
					</div>
					<div class="box_patern">
						<h4>SQL PRIMARY KEY SA NAREDBOM CREATE TABLE</h4>
						<p>
							Sledeća SQL naredba prilikom kreiranja tabele "Studenti" postavlja  kolonu "ID"  za primarni ključ tabele.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">Studenti (</span><br/>
							<span class="italic_slova_upit">ID int</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">Firstname varchar(255)</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">Lasttname varchar(255)</span>,<br/>
							<span class="plava_slova_upit">PRIMARY KEY</span> <span class="italic_slova_upit">(ID)</span><br/>
							<span class="italic_slova_upit">);</span>
						</div><br/><hr>
						<p>
							Za imenovanje ograničenja PRIMARY KEY ili slučaja da se primarni ključ sastoji iz više polja koristi se sledeća naredba:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">Studenti (</span><br/>
							<span class="italic_slova_upit">ID int</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">Firstname varchar(255)</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">Lasttname varchar(255)</span>,<br/>
							<span class="plava_slova_upit">CONSTRAINT</span> <span class="italic_slova_upit">PK_Student</span> <span class="plava_slova_upit">PRIMARY KEY</span> 
							<span class="italic_slova_upit">(ID, Firstname)</span><br/>
							<span class="italic_slova_upit">);</span><br/>
						</div>
						<p>
							Dakle, u ovom primeru postoji samo jedan primarni ključ(PK_Student) i on je sačinjen od dve kolone(ID+Ime).
						</p>
						
					</div>
					<div class="box_patern">
						<h4>SQL PRIMARY KEY SA NAREDBOM ALTER TABLE</h4>
						<p>	
							Za kreiranje ograničenja PRIMARY KEY na koloni "ID" kada je tabela već kreirana koristi se sledeća naredba:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">ADD PRIMARY KEY</span> <span class="italic_slova_upit">(ID);</span><br/>
						</div><br/><hr>
						<p>
							Imenovanje ograničenja PRIMARY KEY ili slučaja da se primarni ključ sastoji iz više polja je analogno prošlom primeru, s tim
							da ako se primarni ključ dodaje preko ALTER TABLE komande ta kolona prethodno mora biti definisana tako da ne sme sadržati NULL
							vrednosti(ovo ograničenje se definiše prilikom kreiranja tabele).
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">ADD CONSTRAINT</span> <span class="italic_slova_upit">PK_Student</span> 
							<span class="plava_slova_upit">PRIMARY KEY</span> <span class="italic_slova_upit">(ID, Firstname);</span>
						</div>
						
					</div>
					<div class="box_patern">
							<h4>DROP PRIMARY KEY CONSTRAINT</h4>
							<p>	
								Sledećom naredbom briše se PRIMARY KEY ograničenje:
							</p>
							<div class="kod">
								<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti</span><br/>
								<span class="plava_slova_upit">DROP PRIMARY KEY</span>; 
							</div>
						</div>
					
					<div class="napred/nazad">
					<a href="unique.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="foreign_key.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

