<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL SELECT INTO NAREDBA</h4>
						<p>
							SELECT INTO naredba kopira podatke iz jedne tabele u novu tabelu.
						</p><hr>
						<h4>SELECT INTO SINTAKSA</h4>
						<h5>KOPIRANJE CELE(SVE KOLONE)POSTOJEĆE TABELE U NOVU TABELU</h5>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">INTO</span> <span class="italic_slova_upit">ime_nove_tabele</span>
							[<span class="plava_slova_upit">IN</span> <span class="italic_slova_upit">ime_eksterne_baze_podataka</span>]<br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_postojeće_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov;</span> 							
						</div>
						<h5>KOPIRANJE ODREĐENIH KOLONA POSTOJEĆE TABELE U NOVU TABELU</h5>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">kolona1, kolona2, kolona3, ...</span><br/>
							<span class="plava_slova_upit">INTO</span> <span class="italic_slova_upit">ime_nove_tabele</span>
							[<span class="plava_slova_upit">IN</span> <span class="italic_slova_upit">ime_eksterne_baze_podataka</span>]<br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_postojeće_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov;</span> 			
						</div><br/>
						<div class="napomena">
							Napomena: Nova tabela će biti kreirana sa imenima i tipovima podataka kolona kao i stara.<br/>
							Moguće je dodeliti nova imena kolona korišćenjem AS klauzule.
						</div>
					</div>
				
					<div class="box_patern">
						<h4>SQL SELECT INTO PRIMERI</h4>
						<p>
							Sledeća SQL naredba kreira rezervnu kopiju tabele "Studenti":
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span>
							<span class="plava_slova_upit">INTO</span> <span class="italic_slova_upit">Studenti_backup</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti;</span><br/>	
						</div><br/><hr>
						
						<p>
							Sledeća SQL naredba koristi IN klauzulu  da kreira rezervnu kopiju tabele "Studenti" ali u drugoj bazi podataka:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span>
							<span class="plava_slova_upit">INTO</span> <span class="italic_slova_upit">Studenti_backup</span>
							<span class="plava_slova_upit">IN</span> <span class="italic_slova_upit">'Backup.mdb'</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti;</span>		
						</div><br/><hr>
						
						<p>
							Sledeća SQL naredba kopira samo određene kolone u novu tabelu:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">Ime, Prezime, Indeks, GodUpisa</span>
							<span class="plava_slova_upit">INTO</span> <span class="italic_slova_upit">Studenti_backup</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti;</span><br/>	
						</div><br/><hr>
						
						<p>
							Sledeća SQL naredba kopira samo studente sa ETF-a u novu tabelu:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span>
							<span class="plava_slova_upit">INTO</span> <span class="italic_slova_upit">Studenti_ETF</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Fakultet = 'ETF';</span>						
						</div><br/><hr>
						
						<p>
							Sledeća SQL naredba kopira podatke iz više tabela u novu tabelu:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">Studenti.Ime, Studenti.Prezime, Studenti.Indeks, Studenti.GodUpisa, Ispiti.ImeIspita, Ispiti.Ocena</span><br/>
							<span class="plava_slova_upit">INTO</span> <span class="italic_slova_upit">Studenti_i_ispiti_backup</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">LEFT JOIN</span> <span class="italic_slova_upit">Ispiti</span>
							<span class="plava_slova_upit">ON</span> <span class="italic_slova_upit">Studenti.IdStudent=Ispiti.IdStudent;</span><br>
						</div><br/><hr><br/>
						
						<div class="napomena">
							Napomena: SELECT INTO se može koristiti za kreiranje nove prazne tabele po šemi neke druge, samo je potrebno dodati
							WHERE klauzulu koja obezbeđuje da upit ne vraća podatke:
						</div><br/>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span>
							<span class="plava_slova_upit">INTO</span> <span class="italic_slova_upit">ime_nove_tabele</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_postojeće_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">1 = 0;</span><br/>
						</div><br/>
						
					</div>
				
					<div class="napred/nazad">
					<a href="any_all.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="insert_into_select.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

