<?php 
	
	include("config.php");
	
	if(isset($_POST['action'])){
		$action = $_POST['action'];
		switch($action){
			
			case "register":{
				if(isset($_POST['ime']) && isset($_POST['prezime']) && isset($_POST['email']) && isset($_POST['password'])){
					
					$ime = $_POST['ime'];
					$prezime = $_POST['prezime'];
					$email = $_POST['email'];
					$password = $_POST['password'];
					registerUser($ime, $prezime, $email, $password);
				}else{
					respondJson("error", "Neki podatak nije setovan");
					}
				
				break;	
			}
			
			case "update":{
				if(isset($_POST['imeUpdate']) && isset($_POST['prezimeUpdate']) && isset($_POST['emailUpdate']) && isset($_POST['idUser'])){
					 if(isset($_POST['new_password'])){
						 
						$password = $_POST['new_password'];
						
					 }else{
						 
						 $password='notChangePass';
					 }
					
					$ime = $_POST['imeUpdate'];
					$prezime = $_POST['prezimeUpdate'];
					$email = $_POST['emailUpdate'];
					$idUser = $_POST['idUser'];
					
					updateUser($idUser, $ime, $prezime, $email, $password);
				}else{
					respondJson("error", "Neki podatak nije setovan");
					}
				
				break;	
			}
			
			case "login":{
				if(isset($_POST['email']) && isset($_POST['password'])){
					
					$email = $_POST['email'];
					$password = $_POST['password'];
					loginUser($email, $password);
					
				}else{
					respondJson("error", "Neki podatak nije setovan");
				}
				
				break;
			}
			
			case "logout":{
				logoutUser();
				break;
			}
		}
	}else{
		respondJson("error", "akcija nije setovana");
	}
	
	function registerUser($ime,$prezime,$email,$password){
		
		$conn = connectToDatabase();
		$query = "SELECT * FROM user WHERE emailUser=?";
		$stmt = $conn->prepare($query);
		$stmt->bind_param('s', $email);
		$stmt->execute();
		
		$result = $stmt->get_result();
		if($result->num_rows > 0){
			
			respondJson("error", "Ovaj mail vec postoji");
		}else{
			$query = "SELECT MAX(idUser)+1 as nextId FROM user";
			$stmt = $conn->prepare($query);
			$stmt->execute();
			$result = $stmt->get_result();
			$row = $result->fetch_assoc();
			$nextId = $row['nextId'];
			
			//hashovanje passworda
			$options = [
				'cost' => 12,
				//'salt' => mcrypt_create_iv(22, MCRYPT_DEV_URANDOM),
			];
			$hashedPass = password_hash($password, PASSWORD_BCRYPT, $options);
			
			$query = "INSERT INTO user(idUser, firstNameUser, lastNameUser, emailUser, passUser) VALUES(?,?,?,?,?)";
			$stmt = $conn->prepare($query);
			$stmt->bind_param('issss', $nextId ,$ime ,$prezime ,$email ,$hashedPass);
			
			if(!$stmt->execute()){
				respondJson("error", "error in query: " . $conn->error);
			}
			
			
			disconnectFromDatabase($conn);
			respondJson("success", "Uspešno registrovan korisnik: " . $ime . " " . $prezime);
			
			
		}
	}
	
	
		function updateUser($idUser,$ime,$prezime,$email,$password){
		
		$conn = connectToDatabase();
		$query = "SELECT * FROM user WHERE emailUser=? AND idUser != ?";
		$stmt = $conn->prepare($query);
		$stmt->bind_param('si', $email, $idUser);
		$stmt->execute();
		
		$result = $stmt->get_result();
		if($result->num_rows > 0){
			
			respondJson("error", "Ovaj mail vec postoji");
			
		}else{
			if($password=="notChangePass"){
				
				$query = "UPDATE user SET firstNameUser=?, lastNameUser=?, emailUser=? WHERE idUser=$idUser";
				$stmt = $conn->prepare($query);
				$stmt->bind_param('sss', $ime, $prezime, $email);
				if(!$stmt->execute()){
					respondJson("error", "Error in query".$conn->error);
				}
				
				//respondJson("success", "Uspešno su promenjeni podaci za korisnika: " . $ime . " " . $prezime . ", ulogujte se ponovo.");
				
				respondJson("success",  $ime . " " . $prezime);
				
			}else{
				
				//hashovanje passworda
				$options = [
					'cost' => 12,
					//'salt' => mcrypt_create_iv(22, MCRYPT_DEV_URANDOM),
				];
				$hashedPass = password_hash($password, PASSWORD_BCRYPT, $options);
		
				$query = "UPDATE user SET firstNameUser=?, lastNameUser=?, emailUser=?, passUser=? WHERE idUser=$idUser";
				$stmt = $conn->prepare($query);
				$stmt->bind_param('ssss', $ime, $prezime, $email, $hashedPass);
				if(!$stmt->execute()){
					respondJson("error", "Error in query".$conn->error);
				}
				
				respondJson("success", $ime . " " . $prezime);
			}
			
			
			
		}
	}
	
	
	
	function loginUser($email, $password){
		
		$conn = connectToDatabase();
		$query = "SELECT * FROM user WHERE emailUser=?";
		$stmt = $conn->prepare($query);
		$stmt->bind_param('s', $email);
		$stmt->execute();
		
		$result = $stmt->get_result();
		if($result->num_rows == 0){
			
			respondJson("error", "Ovaj mail ne postoji");
		}else{
			$row = $result->fetch_assoc();
			$hashedPass = $row['passUser'];
			if(password_verify($password, $hashedPass)){
				$ime = $row['firstNameUser'];
				$prezime = $row['lastNameUser'];
				$idUser = $row['idUser'];
				$typeUser = $row['typeUser'];
				
				setcookie("loggedUser[ime]", $ime, time()+86400, "/");
				setcookie("loggedUser[prezime]", $prezime, time()+86400, "/");
				setcookie("loggedUser[idUser]", $idUser, time()+86400, "/");
				setcookie("loggedUser[email]", $email, time()+86400, "/");
				setcookie("loggedUser[typeUser]", $typeUser, time()+86400, "/");
				
				
				$query1 = "DROP TABLE IF EXISTS studenti$idUser";
				$stmt = $conn->prepare($query1);
				$stmt->execute();
				
				$query1 = "CREATE TABLE studenti$idUser LIKE studenti";
				$stmt = $conn->prepare($query1);
				$stmt->execute();
				
				$query1 = "INSERT studenti$idUser SELECT * FROM studenti";
				$stmt = $conn->prepare($query1);
				$stmt->execute();
				
				$query2 = "DROP TABLE IF EXISTS studenti".$idUser."_si";
				$stmt = $conn->prepare($query2);
				$stmt->execute();
				
				$query2 = "CREATE TABLE studenti".$idUser."_si LIKE studenti_si";
				$stmt = $conn->prepare($query2);
				$stmt->execute();
				
				$query2 = "INSERT studenti".$idUser."_si SELECT * FROM studenti_si";
				$stmt = $conn->prepare($query2);
				$stmt->execute();
				
				$query3 = "DROP TABLE IF EXISTS ispiti$idUser";
				$stmt = $conn->prepare($query3);
				$stmt->execute();
				
				$query3 = "CREATE TABLE ispiti$idUser LIKE ispiti";
				$stmt = $conn->prepare($query3);
				$stmt->execute();
				
				$query3 = "INSERT ispiti$idUser SELECT * FROM ispiti";
				$stmt = $conn->prepare($query3);
				$stmt->execute();
				

				disconnectFromDatabase($conn);
				respondJson("success", "succesfull logged user " . $ime . " " . $prezime . " id= " . $idUser);
				
				
			}else{
				disconnectFromDatabase($conn);
				respondJson("error", "Uneseni password nije ispravan");
			}
		}	
		
	
	}

	function logoutUser(){
				
			if(isset($_COOKIE['loggedUser']['idUser'])){
				$idUser = $_COOKIE['loggedUser']['idUser'];
				$conn = connectToDatabase();
				
				$query1 = "DROP TABLE studenti".$idUser;
				$stmt = $conn->prepare($query1);
				$stmt->execute();
				
				$query2 = "DROP TABLE studenti".$idUser."_si";
				$stmt = $conn->prepare($query2);
				$stmt->execute();
				
				$query3 = "DROP TABLE ispiti".$idUser;
				$stmt = $conn->prepare($query3);
				$stmt->execute();
			}	
			setcookie("loggedUser[ime]", "", time()-86400, "/");
			setcookie("loggedUser[prezime]", "", time()-86400, "/");
			setcookie("loggedUser[idUser]", "", time()-86400, "/");
			setcookie("loggedUser[email]", "", time()-86400, "/");
			setcookie("loggedUser[typeUser]", "", time()-86400, "/");
			
			respondJson("success" , "Successful loggedout");
	}


?>